Provide exported header w/ #define of NSS builtin roots module version number

RESOLVED FIXED in 3.6

Status

P1
normal
RESOLVED FIXED
16 years ago
16 years ago

People

(Reporter: kaie, Assigned: rrelyea)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Reporter)

Description

16 years ago
PSM should be able to find out, whether the currently loaded version of a roots
module is at least as new as the newest available module at compile time of PSM.

Bob suggested to use an exported header.
That header could contain definitions like:

  #define NSS_BUILTINS_LIBRARY_VERSION_MAJOR 1
  #define NSS_BUILTINS_LIBRARY_VERSION_MINOR 2
(Reporter)

Updated

16 years ago
Blocks: 147280

Comment 1

16 years ago
The header nss.h defines macros like NSS_VMAJOR, NSS_VMINOR,
and NSS_VPATCH.  I suggest that these new macros be defined
in nss.h.

The names of the macros should have "ROOT" in them.  Otherwise
it's not clear what these "builtins" are.
(Assignee)

Comment 2

16 years ago
Created attachment 97091 [details] [diff] [review]
nssckbi.h - Builtins version header.

Comment 3

16 years ago
Comment on attachment 97091 [details] [diff] [review]
nssckbi.h - Builtins version header.

>#ifdef DEBUG
>static const char BUILTINS_CVS_ID[] = "@(#) $RCSfile: nssckbi.h,v $ $Revision: 1.1 $ $Date: 2002/08/28 22:13:19 $ $Name:  $";
>#endif /* DEBUG */

Seems bad to define a static variable in a header file.
Maybe the RCS id string can be put in a comment?
(Assignee)

Comment 4

16 years ago
I typically don't like to, but I'm following the convention of the rest of ckfw.
OTOH this is an exported header file, so it may be better to remove it. I'd like
to check the other stan headers to see if they also include RCSID's.

BTW the rational for including it as a c data time is you can do an ident on the
resulting binary and find out what version of the source was used to build it.

bob
(Reporter)

Comment 5

16 years ago
I notice a typo in most identifiers, look for VERISON.
(Reporter)

Updated

16 years ago
Priority: -- → P1
Target Milestone: --- → 3.6
(Assignee)

Comment 6

16 years ago
Headers checked in
Status: NEW → RESOLVED
Last Resolved: 16 years ago
Resolution: --- → FIXED
(Reporter)

Comment 7

16 years ago
Reopening. Current NSS_CLIENT_TAG appears to neither contain a file named
nssckbi.h nor symbols NSS_BUILTINS_LIBRARY_VERSION_MAJOR or
NSS_BUILTINS_LIBRARY_VERSION_MINOR.

Bob, did possibly something go wrong when you checked in?
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
(Assignee)

Comment 8

16 years ago
you probably had some update problem: here's what CVS says for that file:
cvs log nssckbi.h

RCS file: /cvsroot/mozilla/security/nss/lib/ckfw/builtins/nssckbi.h,v
Working file: nssckbi.h
head: 1.3
branch:
locks: strict
access list:
symbolic names:
        PHOENIX_0_2_RELEASE: 1.3
        ROGC_20020930_FREEZE: 1.3
        NSS_3_6_BETA2: 1.3
        NSS_CLIENT_TAG: 1.3
        moz_20020919: 1.3
        NSS_3_6_BETA1: 1.3
        STAN_WORK_BRANCH: 1.1.0.2
keyword substitution: kv
total revisions: 5;     selected revisions: 5
description:
----------------------------
revision 1.3
date: 2002/09/06 00:27:35;  author: wtc%netscape.com;  state: Exp;  lines: +1 -1
Bugs 166734 and 166785: fixed compiler warnings reported by gcc on Linux.
The patch for this checkin is attached to bug 166785.
----------------------------
revision 1.2
date: 2002/08/29 17:45:12;  author: relyea%netscape.com;  state: Exp;  lines: +6 -11


Fix Version spelling, remove rcsid.
----------------------------
revision 1.1
date: 2002/08/28 22:13:19;  author: relyea%netscape.com;  state: Exp;
branches:  1.1.2;


File with version number for applications
----------------------------
revision 1.1.2.2
date: 2002/09/16 19:59:33;  author: ian.mcgreer%sun.com;  state: Exp;  lines: +2 -2
make softoken a separate build module so that its headers aren't mixed in with Stan
change 'security' module to 'nss' as on tip
----------------------------
revision 1.1.2.1
date: 2002/08/29 15:35:11;  author: ian.mcgreer%sun.com;  state: Exp;  lines: +1 -1
mgerge from tip
=============================================================================
(Reporter)

Comment 9

16 years ago
Sorry, my fault. While I was producing the NSS 3.6 test build, I had used a
symbolic link for directories nss and coreconf, forgot to remove them
afterwards, and neither "find" nor "rgrep" (recursive grep) are following
symbolic links by default :(

Resolving fixed again.
Status: REOPENED → RESOLVED
Last Resolved: 16 years ago16 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.